
import pyglet
from pyglet.window import key

def create_window_and_draw_circle(x, y, radius, color):
    window = pyglet.window.Window()
    window.set_size(800, 600)
    
    @window.event
    def on_draw():
        window.clear()
        pyglet.graphics.draw_circle(x, y, radius, color=color)
    
    @window.event
    def on_key_press(symbol, modifiers):
        if symbol == key.ESCAPE:
            window.close()
    
    pyglet.app.run()



